-- --------------------------------------------------------
-- Host:                         192.168.235.132
-- Versión del servidor:         5.1.58-community - MySQL Community Server (GPL)
-- SO del servidor:              Win32
-- HeidiSQL Versión:             9.3.0.4984
-- --------------------------------------------------------

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- Volcando estructura de base de datos para mimenudehoy
CREATE DATABASE IF NOT EXISTS `mimenudehoy` /*!40100 DEFAULT CHARACTER SET utf8 */;
USE `mimenudehoy`;


-- Volcando estructura para tabla mimenudehoy.roles
CREATE TABLE IF NOT EXISTS `roles` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `authority` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;

-- Volcando datos para la tabla mimenudehoy.roles: ~3 rows (aproximadamente)
DELETE FROM `roles`;
/*!40000 ALTER TABLE `roles` DISABLE KEYS */;
INSERT INTO `roles` (`id`, `authority`) VALUES
	(1, 'ROLE_ADMIN'),
	(2, 'ROLE_CLIENT'),
	(3, 'ROLE_NUTRI');
/*!40000 ALTER TABLE `roles` ENABLE KEYS */;


-- Volcando estructura para tabla mimenudehoy.users
CREATE TABLE IF NOT EXISTS `users` (
  `username` varchar(100) NOT NULL,
  `address` varchar(255) DEFAULT NULL,
  `age` int(11) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `enabled` tinyint(1) DEFAULT NULL,
  `password` varchar(255) DEFAULT NULL,
  `preferences` varchar(255) DEFAULT NULL,
  `lastName` varchar(255) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`username`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Volcando datos para la tabla mimenudehoy.users: ~7 rows (aproximadamente)
DELETE FROM `users`;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
INSERT INTO `users` (`username`, `address`, `age`, `email`, `enabled`, `password`, `preferences`, `lastName`, `name`) VALUES
	('admin', '', NULL, NULL, 1, 'r00t', '', '', '');
/*!40000 ALTER TABLE `users` ENABLE KEYS */;


-- Volcando estructura para tabla mimenudehoy.users_roles
CREATE TABLE IF NOT EXISTS `users_roles` (
  `user_username` varchar(100) NOT NULL,
  `roles_id` int(11) NOT NULL,
  PRIMARY KEY (`user_username`,`roles_id`),
  KEY `FK_60loxav507l5mreo05v0im1lq` (`roles_id`),
  KEY `FK_eg4hu5wm88j4lmegbh0pchwtl` (`user_username`),
  CONSTRAINT `FK_60loxav507l5mreo05v0im1lq` FOREIGN KEY (`roles_id`) REFERENCES `roles` (`id`),
  CONSTRAINT `FK_eg4hu5wm88j4lmegbh0pchwtl` FOREIGN KEY (`user_username`) REFERENCES `users` (`username`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Volcando datos para la tabla mimenudehoy.users_roles: ~8 rows (aproximadamente)
DELETE FROM `users_roles`;
/*!40000 ALTER TABLE `users_roles` DISABLE KEYS */;
INSERT INTO `users_roles` (`user_username`, `roles_id`) VALUES
	('admin', 1);
/*!40000 ALTER TABLE `users_roles` ENABLE KEYS */;
/*!40101 SET SQL_MODE=IFNULL(@OLD_SQL_MODE, '') */;
/*!40014 SET FOREIGN_KEY_CHECKS=IF(@OLD_FOREIGN_KEY_CHECKS IS NULL, 1, @OLD_FOREIGN_KEY_CHECKS) */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
